%global zikula_base         %{_datadir}/zikula
%global zikula_themedir       %{zikula_base}/themes
%global zikula_modname      fedora-theme

Name:           zikula-module-%{zikula_modname}
Version:        0.1
Release:        2%{?dist}
Summary:        Fedora Theme for Zikula

Group:          Applications/Publishing
License:        GPL+
# Use top-level URL from Zikula site for the module
URL:            https://fedorahosted.org/fedora-zikula
# for source: 
# git clone git://git.fedorahosted.org/git/fedora-zikula.git 
# cd fedora-zikula
# git checkout %{version}
# tar -jcvf zikula-module-fedora-theme.bz2 fedora
Source0:        %{name}.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:  
Requires:       zikula

%description
Provides Zikula the ability to don the awesome Fedora colors


%prep
%setup -qn fedora
# Remove empty index.html and others
find -size 0 | xargs rm -f


%build


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_themedir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_themedir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_themedir}/%{zikula_modname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%{zikula_themedir}/%{zikula_modname}


%changelog
* Sun Aug 23 2009 David Nalley <david@gnsa.us> 0.1-2
- putting stuff in the right place

* Thu Jul 16 2009 David Nalley <david@gnsa.us> 0.1-1
- Initial packaging
